import '../../marianumconnect_query.dart';
import 'timetable_get_subjects_response.dart';

class TimetableGetSubjects extends MarianumConnectQuery {
  TimetableGetSubjects({super.dio});

  Future<TimetableGetSubjectsResponse> run() async =>
      TimetableGetSubjectsResponse(
        result: await getList('timetable/subjects', McSubject.fromJson),
      );
}
